'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TeamFlag;

var _completions = require('../completions');

function TeamFlag(options = {}) {
  return {
    char: 't',
    description: 'team to use',
    parse: (input, cmd, name) => {
      if (input) return input;
      if (process.env.HEROKU_TEAM) return process.env.HEROKU_TEAM;
      if (cmd && cmd.flags.org) return cmd.flags.org;
      if (process.env.HEROKU_ORGANIZATION) return process.env.HEROKU_ORGANIZATION;
      if (options.required) throw new Error('No team specified');
    },
    completion: _completions.TeamCompletion,
    ...options
  };
}