# netrc-parser

[![CircleCI](https://circleci.com/gh/dickeyxxx/node-netrc-parser.svg?style=svg)](https://circleci.com/gh/dickeyxxx/node-netrc-parser)
[![codecov](https://codecov.io/gh/dickeyxxx/node-netrc-parser/branch/master/graph/badge.svg)](https://codecov.io/gh/dickeyxxx/node-netrc-parser)

# API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

## Netrc

[src/netrc.js:191-298](https://github.com/jdxcode/node-netrc-parser/blob/16af9e8d4cb713584e0e953c75a4c5833c5f8fcd/src/netrc.js#L191-L298 "Source code on GitHub")

parses a netrc file

### constructor

[src/netrc.js:199-208](https://github.com/jdxcode/node-netrc-parser/blob/16af9e8d4cb713584e0e953c75a4c5833c5f8fcd/src/netrc.js#L199-L208 "Source code on GitHub")

generates or parses a netrc file

**Parameters**

-   `file` **[string](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)** 

**Examples**

```javascript
const Netrc = require('netrc-parser')
const netrc = new Netrc()
netrc.machines['api.heroku.com'].password // get auth token from ~/.netrc
```

### save

[src/netrc.js:223-247](https://github.com/jdxcode/node-netrc-parser/blob/16af9e8d4cb713584e0e953c75a4c5833c5f8fcd/src/netrc.js#L223-L247 "Source code on GitHub")

save the current home netrc with any changes

**Examples**

```javascript
const Netrc = require('netrc-parser')
const netrc = new Netrc()
netrc.machines['api.heroku.com'].password = 'newpassword'
netrc.save()
```
